Bug 185216 - Review Request: glyph-keeper
Review Request: glyph-keeper
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Wart
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT 185257
  Show dependency treegraph
 
Reported: 2006-03-11 17:52 EST by Hans de Goede
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-13 18:11:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Updated spec with license and %doc changes (2.28 KB, text/plain)
2006-03-13 09:57 EST, Hans de Goede
no flags Details

  None (edit)
Description Hans de Goede 2006-03-11 17:52:22 EST
Spec Name or Url: http://home.zonnet.nl/jwrdegoede/glyph-keeper.spec
SRPM Name or Url: http://home.zonnet.nl/jwrdegoede/glyph-keeper-0.29.1-1.src.rpm
Description:
Glyph Keeper is a library for text rendering. It is written in C and can be
used by C or C++ code. Glyph Keeper helps your program to load a font, render
character glyphs and write them to the target surface. Right now only Allegro
and SDL targets are supported, but there will be more in future. Glyph Keeper
uses FreeType as a font engine.
Comment 1 Hans de Goede 2006-03-11 17:59:13 EST
Michael,

I'm hoping that you're willing to review this hence the CC, this is a dependency
for a game: http://home.exetel.com.au/tjaden/raidem/
Which I'm busy packaging. Its turning out to be quite a pain. It needs a lot of
libs. To be fair it does come with all these libs (including a few already in
FE) in the source package, but I want todo this right and thus package the libs
seperatly so that they can be used later for other games too.

Its late (bedtime) overhere now, so I'll take a look at your Doom work tomorow.

One remark: building this only results in a -devel package, because upstream
currently only supports static linking. I'll probably write a patch for the
makefile to make this a proper .so lib sometime in the future.

Thanks.
Comment 2 Wart 2006-03-11 20:22:10 EST
It looks like this requires ftbitmap.h which wasn't available until freetype
2.1.10.  This version is available in freetype-devel on FC-5, but not in FC-4. 
You should probably change the BR to
BuildRequires: freetype-devel >= 2.1.10
to catch this problem.
Comment 3 Hans de Goede 2006-03-12 16:14:23 EST
I've updated the BR as requested, also I've added the nescesarry Requirements to
the -devel package (SDL-devel allegro-devel).

New spec at:
http://home.zonnet.nl/jwrdegoede/glyph-keeper.spec
Comment 4 Wart 2006-03-13 01:34:58 EST
MUST
====

* rpmlint output clean
* Source matches upstream
  e90e5103dce7d89aba2180bb830de8d9  glyph-keeper-0.29.1-no-freetype.zip
* Package named appropriately
* License file included
* spec file legible and in Am. English
* Compiles and builds in mock on FC5-i386
* No unnecessary BR:
* No locales
* No shared library files
* Not relocatable
* No duplicate %files
* File permissions ok
* buildroot cleaned in %install and %clean
* macro use consistent
* Contains code, not content
* desktop file not needed
* No directories to own

OK
==
* -devel does not require the base package.  This is ok because the
  package only builds static libs and thus, no files exist in the
  base package.

* FC-4 package can't be made due to dependency on freetype >= 2.1.10
  Any chance that freetype in FC-4 might be updated?

NON-BLOCKER
===========
* As with adime, please change the License: tag to "zlib License" to be more
  precise and file a RFE with rpmlint to accept this GPL-compatible license.

* As noted, upstream only provides builds for static libraries, not shared
  libs.  This is annoying, but non-blocking.  If you end up writing a patch
  to generated shared libs, please make sure you pass it to upstream.

MUSTFIX
=======
* Include authors.txt and docs/* in %doc

Fix up the %doc and I'll approve it.
Comment 5 Hans de Goede 2006-03-13 09:57:53 EST
Created attachment 126041 [details]
Updated spec with license and %doc changes

Updated spec with the requested License and %doc changes
Comment 6 Wart 2006-03-13 15:36:08 EST
All MUSTFIX items addressed.  Normally I'd prefer to see a final srpm before
approving, but I note the ISP problems that you had with adime, so it's not
necessary this time.

APPROVED.
Comment 7 Hans de Goede 2006-03-13 18:11:27 EST
Imported and build, Thanks!

Note You need to log in before you can comment on or make changes to this bug.